upgrade template compatibility

Need help upgrading your Joomla! website or converting to Joomla! 3.x? Please consider the availability of third-party templates and extensions when deciding which Joomla version to use.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Post Reply
websroger
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 126
Joined: Tue Jan 04, 2011 4:23 pm
Location: Fort Collins, CO, USA
Contact:

upgrade template compatibility

Post by websroger » Wed Oct 10, 2018 5:45 pm

Are there any known problems with templates if I upgrade from 3.7.5 to the latest - 3.8.13? ???

User avatar
toivo
Joomla! Exemplar
Joomla! Exemplar
Posts: 9931
Joined: Thu Feb 15, 2007 5:48 am
Location: Oxford, UK
Contact:

Re: upgrade template compatibility

Post by toivo » Wed Oct 10, 2018 5:55 pm

That depends on the template and if your version of the template is recent or not. If in doubt, check the website of the developer of the template.

You can always back up your site using for example Akeeba Backup and restore it to a workstation, running a localhost bundle like XAMPP or Wampserver, change the error reporting to 'Maximum' and do a trial upgrade.
Toivo Talikka, Global Moderator
my first programs were assembled and run in 16KB :)
troubleshooting smtp and other articles https://talikka.com/joomla

websroger
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 126
Joined: Tue Jan 04, 2011 4:23 pm
Location: Fort Collins, CO, USA
Contact:

Re: upgrade template compatibility

Post by websroger » Wed Oct 10, 2018 6:45 pm

I am using a Joomla template: protostar

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 24869
Joined: Mon Oct 27, 2008 9:27 pm
Location: Akershus, Norway

Re: upgrade template compatibility

Post by Per Yngve Berg » Wed Oct 10, 2018 6:49 pm

There is no problems with Protostar.

websroger
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 126
Joined: Tue Jan 04, 2011 4:23 pm
Location: Fort Collins, CO, USA
Contact:

Re: upgrade template compatibility

Post by websroger » Wed Oct 10, 2018 8:08 pm

Thanks, Per. However, I tried quite a while ago to upgrade and the website would not show, with an error message that was apparently referring to Joomla code. So I'm a bit worried to try again.

User avatar
AMurray
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 3949
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: upgrade template compatibility

Post by AMurray » Thu Oct 11, 2018 10:15 am

Post the FPA report results please. Forum Post Assistant (FPA)

Giving the actual error message would help - or look for the error in the Joomla error logs.
Regards,
--------------------------------------------------------------
A Murray
Millennium Falcon - it's the ship that made the Kessel run in less than 12 parsecs! The fastest hunk of junk in the galaxy.

User avatar
AMurray
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 3949
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: upgrade template compatibility

Post by AMurray » Thu Oct 11, 2018 10:17 am

It might be some other extension (not the template) that is incompatible with either Joomla 3.8.13 (or more likely) with PHP 7.2.x or similar.
Regards,
--------------------------------------------------------------
A Murray
Millennium Falcon - it's the ship that made the Kessel run in less than 12 parsecs! The fastest hunk of junk in the galaxy.

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 19105
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: upgrade template compatibility

Post by leolam » Thu Oct 11, 2018 5:08 pm

Protostar is fully compliant with PHP 7.2. Please change to this version, set error reporting to 'maximum" in global configuration and post what you see

Leo 8)
Joomla's #1 Professional Support Provider:
-> Joomla Professional Support: https://gws-desk.com -
-> Joomla Specialized Hosting Solutions: https://gws-host.com -
Member Joomla Bug Squad & Joomla CMS Release Team

websroger
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 126
Joined: Tue Jan 04, 2011 4:23 pm
Location: Fort Collins, CO, USA
Contact:

Re: upgrade template compatibility

Post by websroger » Fri Oct 12, 2018 12:19 am

Here is the error I get. I have no idea what is the problem.

Catchable fatal error: Argument 1 passed to Joomla\CMS\Table\Observer\AbstractObserver::__construct() must be an instance of Joomla\CMS\Table\TableInterface, instance of Joomla\CMS\Table\Content given, called in /home/ncmrc538/public_html/libraries/src/Table/Observer/Tags.php on line 83 and defined in /home/ncmrc538/public_html/libraries/src/Table/Observer/AbstractObserver.php on line 38

annahersh
Joomla! Explorer
Joomla! Explorer
Posts: 271
Joined: Wed Aug 15, 2018 8:23 pm

Re: upgrade template compatibility

Post by annahersh » Fri Oct 12, 2018 6:21 am

Your site shows that it is hosted with Siteground (based on the link in your Oct 2017 post viewtopic.php?t=955769), and they are Joomla experts so you should be OK to upgrade without error. Have you contacted the host for tech support? Unless this is related to a different website.

websroger
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 126
Joined: Tue Jan 04, 2011 4:23 pm
Location: Fort Collins, CO, USA
Contact:

Re: upgrade template compatibility

Post by websroger » Fri Oct 12, 2018 2:20 pm

Annahersch: Yes they Siteground does host Joomla, but in the past my experience is that for problems like mine they have simply said I need to ask a "joomla professional". Not too helpful. But I will try again. Someone in the Joomla Development team who is familar with their code should be the one to help decode this error message (above).

User avatar
toivo
Joomla! Exemplar
Joomla! Exemplar
Posts: 9931
Joined: Thu Feb 15, 2007 5:48 am
Location: Oxford, UK
Contact:

Re: upgrade template compatibility

Post by toivo » Fri Oct 12, 2018 3:07 pm

As requested by @AMurray earlier in this topic and by two other volunteers assisting in your earlier posts during the past 12 months, can you please post the results from the Forum Post Assistant (FPA).

Follow the instructions at viewtopic.php?f=714&t=793531 so that others can review the configuration of your website and hopefully then be able to point out where the root cause could lie.
Toivo Talikka, Global Moderator
my first programs were assembled and run in 16KB :)
troubleshooting smtp and other articles https://talikka.com/joomla

websroger
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 126
Joined: Tue Jan 04, 2011 4:23 pm
Location: Fort Collins, CO, USA
Contact:

joomla updates creates errors

Post by websroger » Fri Oct 12, 2018 3:17 pm

When I try to upgrade from Joomla 3.7.5 to 3.8.13, I get no webpage but just this Joomla code error message:

Catchable fatal error: Argument 1 passed to Joomla\CMS\Table\Observer\AbstractObserver::__construct() must be an instance of Joomla\CMS\Table\TableInterface, instance of Joomla\CMS\Table\Content given, called in /home/ncmrc538/public_html/libraries/src/Table/Observer/Tags.php on line 83 and defined in /home/ncmrc538/public_html/libraries/src/Table/Observer/AbstractObserver.php on line 38

When I switch php version from 5.6 to 7.2 (in Joomla version 3.7.5) I get this Joomla code error at the top of my home page:

Warning: count(): Parameter must be an array or an object that implements Countable in /home/ncmrc538/public_html/libraries/cms/application/cms.php on line 471

Can a Joomla developer or expert help with corrections?
Last edited by toivo on Fri Oct 12, 2018 4:00 pm, edited 1 time in total.
Reason: mod note: merged with the current topic, cross posting not allowed - see the forum rules https://forum.joomla.org/viewtopic.php?f=8&t=65

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 35845
Joined: Sat Apr 05, 2008 9:58 pm

Re: joomla updates creates errors

Post by Webdongle » Fri Oct 12, 2018 3:20 pm

Test with Protostar and make sure all 3rd party extensions are php7 compatible.
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"The definition of insanity is doing the same thing over and over again, but expecting different results": Albert Einstein

websroger
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 126
Joined: Tue Jan 04, 2011 4:23 pm
Location: Fort Collins, CO, USA
Contact:

Re: upgrade template compatibility

Post by websroger » Fri Oct 12, 2018 3:32 pm

The FPA documentation says the results are NOT to be posted to the Forum. What should I then post after running it?

frostmakk
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 122
Joined: Sun Dec 28, 2014 9:30 am
Location: Stavanger, Norway

Re: upgrade template compatibility

Post by frostmakk » Fri Oct 12, 2018 3:39 pm

Have you read the "FPA First Time User.pdf" in the documentation folder of the download?

websroger
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 126
Joined: Tue Jan 04, 2011 4:23 pm
Location: Fort Collins, CO, USA
Contact:

Re: upgrade template compatibility

Post by websroger » Fri Oct 12, 2018 3:44 pm

yes, frostmakk. That's where it says the results are not to be posted.

frostmakk
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 122
Joined: Sun Dec 28, 2014 9:30 am
Location: Stavanger, Norway

Re: upgrade template compatibility

Post by frostmakk » Fri Oct 12, 2018 3:47 pm

So if you could bother to read more than the first page...

User avatar
sozzled
Joomla! Champion
Joomla! Champion
Posts: 5823
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia
Contact:

Re: upgrade template compatibility

Post by sozzled » Fri Oct 12, 2018 6:59 pm

websroger wrote:
Fri Oct 12, 2018 3:44 pm
The FPA documentation says the results are NOT to be posted to the forum.
The documentation states
When the script has finished you will see a large form on your screen with loads of information about your site.
OK? You understand that? There's a lot of "stuff" there that you can read. We're not interested in reading that stuff. That's for your information, for your information only. Then, if you go on to read:
This [stuff] is for you to look at, and is NOT to be posted to the forum.
So, if you read the whole point within the context that it's written, you can see why "the results" that you were looking at are not to be posted anywhere.

When we ask for the results from the FPA tool to be posted on the forum, we're referring to points 3-13 (inclusively) of the documentation. OK? ???
https://www.kuneze.com/blog
Former member of Kunena project team
If you think I’m wrong then say “I think you're wrong.” If you say “You’re wrong!”, how do you know?


Post Reply

Return to “Migrating and Upgrading to Joomla! 3.x”